(function($) {
	function deleteAllListener(_event) {
		_event.preventDefault();

		var confirm = SG.lang.SgRoutes['backend.delete_all'];
		if (window.confirm(confirm)) {
			window.location = $(_event.currentTarget).attr('href');
		}
	}

	$(document).ready(function() {
		$('.btn-delete-all').on('click', deleteAllListener);
	});
})(TYPO3.jQuery);

// functions for backend docheader functionality
function jumpExt(URL, anchor) {    //
	var anc = anchor ? anchor : "";
	window.location.href = URL + (T3_THIS_LOCATION ? "&returnUrl=" + T3_THIS_LOCATION : "") + anc;
	return false;
}

function jumpSelf(URL) {    //
	window.location.href = URL + (T3_RETURN_URL ? "&returnUrl=" + T3_RETURN_URL : "");
	return false;
}

function jumpToUrl(URL) {
	window.location.href = URL;
	return false;
}

function setHighlight(id) {    //
	top.fsMod.recentIds["web"] = id;
	top.fsMod.navFrameHighlightedID["web"] = "pages" + id + "_" + top.fsMod.currentBank;    // For highlighting
	if (top.content && top.content.nav_frame && top.content.nav_frame.refresh_nav) {
		top.content.nav_frame.refresh_nav();
	}
}

/**
 * Switches to the spefied page in the BE
 *
 * @param {number} uid
 * @param {string} path
 */
function sgJobsGoToPage(uid, path) {
	if (top.nav) {
		top.nav.invokePageId(uid, gotToPageCallback);
	} else {
		var tree = top.Ext.getCmp('typo3-pagetree');
		if (tree) {
			var elements = path.split('/');
			var pageNode = tree.activeTree.getNodeById(elements[elements.length - 1]);
			tree.activeTree.selectPath(path);
			if (pageNode) {
				tree.activeTree.commandProvider.singleClick(pageNode, tree.activeTree);
			}

		}
		var separator = '?';
		if (top.currentSubScript.indexOf('?') !== -1) {
			separator = '&';
		}
		top.TYPO3.Backend.ContentContainer.setUrl(
			top.currentSubScript + separator + 'id=' + uid
		);
	}
}

/**
 * Callback for page selection in the pagetree
 */
function gotToPageCallback(path) {
	var callback = top.Ext.createDelegate(top.nav.mainTree.selectPath, top.nav.mainTree);
	callback.apply(this, arguments);
	var node = top.nav.getSelected();
	if (node) {
		top.TYPO3.Components.PageTree.Actions.singleClick(node, top.TYPO3.Components.PageTree.Tree);
	}
}

/**
 * opens the selected category edit form
 *
 * @return {boolean}
 */
function editSelectedLocation() {
	var selected = TYPO3.jQuery('#filter-locations').val();
	if (selected && LocationEditLinks[selected[0]]) {
		jumpToUrl(LocationEditLinks[selected[0]] + '&returnUrl=' + T3_THIS_LOCATION);
	}
	return false;
}
